Skip to main content

Get Items By Barcodes

POST 

/items/barcode

Get all items from the database that match the barcodes provided.

Returns a paginated list of items matching the given barcodes. A default limit of 500 is applied when not specified, with a maximum of 1000 per request. Use skip and limit for pagination.

Parameters

barcodes: list of string

List of barcodes to search for.

exact: list of boolean (optional)

Exact match on barcode for each barcode. If not provided, defaults to true for each barcode.

skip: integer (optional)

Number of items to skip in the result. Must be greater or equal to 0.

limit: integer (optional)

Maximum number of items to return (default: 500, max: 1000).

Returns

list of Item

A list of items matching the barcodes.

Request

Responses

Successful Response